/* Copyright (c) 2009 The Regents of the Signet Group.
*  All rights reserved.
*
*  Permission to use, copy, modify, and distribute this software and its
*  documentation for any purpose, without fee, and without written
*  agreement is hereby granted, provided that the above copyright
*  notice, the (updated) modification history and the author appear in
*  all copies of this source code.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS `AS IS'
*  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
*  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
*  ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS
*  BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
*  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, LOSS OF USE, DATA,
*  OR PROFITS) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
*  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
*  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
*  THE POSSIBILITY OF SUCH DAMAGE.
*
*  Authors:
*  Angelo P. Castellani <castellani@dei.unipd.it>
*  Mattia Gheda <ghedamat@dei.unipd.it>
*/

#ifndef COAPTEST_H
#define COAPTEST_H
//define ip6 address of node and gateway
ip6_addr_t addr_dest = {{
				0x20, 0x01,
				0x06, 0x38,
				0x07, 0x09,
				0x12, 0x34,
				0x00, 0x00,
				0x00, 0x00,
				0xff, 0xfe,
				0x00, 0x00
}};
/*
ip6_addr_t addr_src = {{
				0x20, 0x01,
				0x06, 0x38,
				0x07, 0x09,
				0x12, 0x34,
				0x00, 0x00,
				0x00, 0x00,
				0xff, 0xfe,
				0x00, 0x12
}};

*/
ip6_addr_t addr_src = {{
				0x20, 0x01,
				0x06, 0x38,
				0x07, 0x09,
				0x12, 0x34,
				0x00, 0x00,
				0x00, 0x00,
				0x00, 0x00,
				0x00, 0x00
}};


enum res_id {
	RES_HELLO = 1,
	RES_LIGHT,
	RES_RANDOM,
	RES_TIME
};

#define RESOURCE_TABLE_SIZE 4
uint8_t resource_table[RESOURCE_TABLE_SIZE][20] = 
{
	{ RES_HELLO, '/','h','e','l','l','o',0 },
	{  RES_LIGHT, '/','l','i','g','h','t',0 },
	{  RES_RANDOM, '/','r','a','n','d','o','m',0 },
	{  RES_TIME, '/','t','i','m','e',0 },
};
//define table for all resource of the node
//uint8_t *r_path [] = {"/s/temp","/s/light","/s/irlight","/s/humy","/s/b1","/p/battery","/a/led0","/a/led1","/a/led2"};
//uint8_t r_id [] = {109,110,111,1,2,3,127,115};
//uint8_t r_id []={ TEMP_RESOURCE_ID, LIGHT_RESOURCE_ID, IR_LIGHT_RESOURCE_ID, HUMY_RESOURCE_ID, BUTTON_RESOURCE_ID, BATTERY_RESOURCE_ID, LED0_RESOURCE_ID, LED1_RESOURCE_ID, LED2_RESOURCE_ID};
//ID resource (global)
uint8_t ID;
//gateway port
uint16_t portaGW = 61626u;
//EXI
uint8_t HEADER[] = {0x90,0x00};//for all
uint8_t BODY_1[] = {0x01,0x05,0x06,0x00};//only for 1,2,3,4
uint8_t BODY_TAG[] = {0x00,0x03,0x04,0x02,0x01};//add 0x00 after this for all

#endif /* INIT_H */
